<!DOCTYPE html>
<html lang="en">
<head>
    <title></title>
</head>
<body>
    <main>
        <div>
            <h1>{{ todo_list_detail.name }}</h1>
            <p>
                <a href="{% url 'todo_list_update' id=todo_list_detail.id %}">Edit</a>
            </p>
            <p>
                <a href="{% url 'todo_list_delete' id=todo_list_detail.id %}">Delete</a>
            </p>
            <h2>Tasks</h2>
            <table>
                <thead>
                    <th>Task</th>
                    <th>Due date</th>
                </thead>
                <tbody>
                    {% for item in todo_list_detail.items.all %}
                    <tr>
                        <td><a href="{% url 'todo_item_update' item.id %}">{{ item.task }}</a></td>
                        <td>{{ item.due_date }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>
</html>